Skip to content

Retrieve a metafield definition

View as Markdown
get /rest/api/metafield_definitions/{id}

Retrieves a MetafieldDefinition resource.

Returns a single metafield definition by id, including its type, validations, constraints and metafieldsCount.

Headers

NameTypeRequiredDescription
X-Flowkiwi-Organization-IdstringrequiredThe organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.

Path parameters

NameTypeRequiredDescription
idstringrequiredMetafieldDefinition identifier

Response

200 - MetafieldDefinition resource

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
namestring-The human-readable name of the metafield definition.
descriptionstring | null-The description of the metafield definition.
namespacestring-The container for a group of metafields that the metafield definition is associated with.
keystring-The unique identifier for the metafield definition within its namespace.
ownerTypestringrequiredThe resource type that the metafield definition is attached to.
typestringrequiredThe type of data that each of the metafields that belong to the metafield definition will store.
createdAtstring-The date and time when the resource was created (ISO 8601 format).
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).
validationsEmbeddedMetafieldDefinitionValidationResource[]-The validation rules applied to the values of metafields using this definition.
Show validations fields
PropertyTypeRequiredDescription
namestringrequiredThe type of validation rule
valuestringrequiredThe validation parameter value. Format depends on the validation type.
constraintsEmbeddedMetafieldDefinitionConstraintResource[]-The constraint rules scoping where this metafield definition applies (e.g. by category or channel).
Show constraints fields
PropertyTypeRequiredDescription
keystringrequiredThe type of constraint rule
valuesstring[]requiredArray of constraint values. Format depends on the constraint type.
metafieldsCountinteger-The count of the metafields that belong to the metafield definition.

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.

404 - Not found

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type